#define F_CPU 16000000
#define true 1
#define LIGHT_PORT 6
#define TEMP_PORT 7


#include <stdio.h>
#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

int i;


void init_ADC(){
  ADCSRA = 0;
  ADMUX  = (1 << REFS0);
  ADCSRA = ( (1 << ADEN) | (1 << ADATE ) | (1 << ADPS2) | (1 << ADPS1) | (1 << ADPS0));
}

unsigned int get_ADC(uint8_t channel){

  ADMUX  |= channel;
  ADCSRA |= 1<<ADSC;
  while(!(ADCSRA & (1<<ADIF)));

  return ADC;
  }
  
void USART_init(void)
{
  UCSRB |= ((1<<RXEN) | (1<<TXEN));
  UBRRL = 0x67;
  UCSRC |= ((1<<URSEL) | (1<<UCSZ1) | (1<<UCSZ0));
}


int main(){
  int temp, light;

  init_ADC();
  USART_init();
 
  _delay_ms(2000);
  
  while(true){

    init_ADC();
    
    temp = 0;
    for(i = 0; i <=50; i++){
      if(i){
	      //Nu se ia prima citire
	      temp = temp + (get_ADC(TEMP_PORT)/2);
	  }
      _delay_ms(10);
    } 
    printf("T:%4d\n", temp/50); //Se afiseaza valoarea citita
    
    _delay_ms(1000);

    init_ADC();

    light = 0;
    for(i=0;i<=50;i++){
      if(i){
	      //Nu se ia prima citire
	      light = light + (get_ADC(LIGHT_PORT)/5);
	  }
       _delay_ms(10);
    }
    printf("L:%4d\n", light/50); //Se afiseaza valoarea citita
    
    _delay_ms(1000);
  }

  return 0;
}

